Ubuntu

[Jaunty Beta] cursor jumps when using touchpad on Eee PC 900A

Reported by Nathan Crawford on 2009-04-04
74
This bug affects 10 people
Affects Status Importance Assigned to Milestone
xserver-xorg-input-synaptics (Ubuntu)
Low
Unassigned
Nominated for Jaunty by Tom Chiverton
Nominated for Karmic by Tom Chiverton

Bug Description

Binary package hint: xorg

Release: Jaunty Beta
xorg version: 1:7.4~5ubuntu18
xfree86-driver-synaptics version: 0.99.3-2ubuntu4

When using the touchpad on my Eee PC 900A, the cursor will often (say, 50% of the time) jump when I tap-to-click. It does the same when moving the pointer across the screen, if I get to an edge and have to start back in the middle.

It usually jumps horizontally or vertically about 100 pixels, but some times it jumps a long way diagonally, putting it in a corner of the screen.

For the most part it seems to jump in the direction of the last place I touched on the touchpad.

This touchpad worked perfectly under 8.10. I also saw this when using xfree86-driver-synaptics version 0.15.2-0ubuntu8.

ProblemType: Bug
Architecture: i386
DistroRelease: Ubuntu 9.04
Package: xorg 1:7.4~5ubuntu18
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersion: Linux version 2.6.28-11-generic (buildd@palmer) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #40-Ubuntu SMP Fri Apr 3 17:39:51 UTC 2009
SourcePackage: xorg
Uname: Linux 2.6.28-11-generic i686

Nathan Crawford (njcrawford) wrote :
Bryce Harrington (bryce) on 2009-04-07
Changed in xorg (Ubuntu):
status: New → Confirmed
Bryce Harrington (bryce) on 2009-04-09
affects: xorg (Ubuntu) → xserver-xorg-input-synaptics (Ubuntu)
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Confirmed → New
Nathan Crawford (njcrawford) wrote :

Additional information:
I tested this on an Acer Aspire One, an Emachines 6809 and a Zoostorm laptop. All of these models have a Synaptics touchpad ('dmesg | grep input' shows Synaptics Touchpad) and none of them exhibit the jumping behavior.
On my Eeepc 900A, the touchpad is listed as "ETPS/2 Elantech Touchpad".

Damon Timm (damontimm) wrote :

Hi - I have an EEE PC 900A and experience the same "jumpy" or "jerky" cursor movement with jaunty (notebook remix) -- this problem did not exist in Intrepid.

$ uname -ra
Linux damon-eee 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

I have not found an xorg.conf solution yet, but am looking for one. Touchpad is listed as ETPS/2 Elantech Touch (as mentioned above).

Chris Hansen (thechansen) wrote :

I am also running an EEE PC 900a 4gb model and I'm facing similar troubles. I tried loading up EasyPeasy 1.0 to try and find what the difference between the drivers in Jaunty vs the custom 8.10 and it seems that before I was using Synaptics drivers versus the elantech drivers.

Chris Hansen (thechansen) wrote :

in the X11 synaptics.fdi I changed "ALPS/2" to "ETPS/2 Elantech Touch" and the problem was much better, but still present. It went from not having any control over the touchpad to a manageable level of jumpy-ness as long as you used a fair amount of pressure on the pad and full lifted your finger from the pad before reorienting it on the touchpad.

Giovanni Masucci (gio-grifis) wrote :

confirmed in my 901 with jaunty. No problems in hardy/intrepid. This is very annoying especially with drag and drop

Wesley Wilson (weslson) wrote :

Eee PC 900A and seeing the jump/jerky mouse also

robled (robled) wrote :

Confirmed on my 900A. Mouse movement is very erratic with small and large cursor jumps happening at random.

Wesley Wilson (weslson) wrote :

Manual Fix: Right now I'm about 20 minutes in with this new fix and it seems to have corrected the problem.

In /etc/modprobe.d/options.conf add the line "options psmouse proto=imps"
Restart

I personally did not have the options.conf so I just created it and added the quoted line above as the only thing in the file and its working great now

robled (robled) wrote :

I have used something very similar to Wesley's fix with success. The only difference is that the file I created with the aforementioned settings is named /etc/modprobe.d/options

Two-finger tap/scroll still works fine post-fix and the settings seem to survive a reboot.

Ditto - creating a file "/etc/modprobe.d/options.conf" with the line
(no quotes): "options psmouse proto=imps" and then a restart seems to
have done the trick for me. 30 minutes to an hour of use and have not
seen the behavior which previously plagued my waking moments. EEE PC
900A, Jaunty.

On Mon, Apr 27, 2009 at 5:18 PM, NTolerance <email address hidden> wrote:
> I have used something very similar to Wesley's fix with success.  The
> only difference is that the file I created with the aforementioned
> settings is named /etc/modprobe.d/options
>
> Two-finger tap/scroll still works fine post-fix and the settings seem to
> survive a reboot.
>
> --
> [Jaunty Beta] cursor jumps when using touchpad on Eee PC 900A
> https://bugs.launchpad.net/bugs/355326
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Nathan Crawford (njcrawford) wrote :

The /etc/modprobe.d/options.conf change fixed mine as well. Such a simple thing.
Thanks Wesley Wilson and NTolerance for finding that. :-)

Since the netbooks mentioned in this thread (eeepc 900a and 901) are listed as "Tier 1"[1], is it possible to get this fix packaged somehow?

1. https://wiki.ubuntu.com/HardwareSupport/Machines/Netbooks

Darrin Ritter (darrinritter) wrote :

thanks that fixed it for me

Bug also present in Dell 1525n laptop, same fix clears it up.

'modprobe psmouse' says (in /var/log/messages):
May 2 15:33:05 wopr kernel: [ 2039.188758] input: PS/2 Generic Mouse as /devices/platform/i8042/serio2/input/input14

You can apply the fix without rebooting, once the file has been added:
sudo rmmod psmouse
sudo modprobe psmouse

This should be rolled out ?

Ahh, except that proto kills my ALPS touchpads scrolling ability. Comment out the option and all is well again. Where are the docs for module options ?

Hmm, I can't find a 'proto' argument as given in 'modinfo psmouse' that allows any scroll support at all, except 'any' and that still makes the mouse jump.

The messages log says
May 2 16:08:44 wopr kernel: [ 4177.448850] input: PS/2 Generic Mouse as /devices/platform/i8042/serio2/input/input47
May 2 16:09:03 wopr kernel: [ 4197.149281] synaptics was reset on resume, see synaptics_resume_reset if you have trouble on resume
for no-jump but no scroll and
May 2 16:09:04 wopr kernel: [ 4197.832875] input: PS/2 Mouse as /devices/platform/i8042/serio2/input/input48
May 2 16:09:04 wopr kernel: [ 4197.868251] input: AlpsPS/2 ALPS GlidePoint as /devices/platform/i8042/serio2/input/input49
for scroll but jumpy

This might be a variant of #365943

thanks so much for the fix, it was driving me bats!

hmm, seems now I can't turn off the behavior of clicking the mouse by tapping the touchpad. any way to have my cake and eat it too? i.e. disable mouse clicks by tapping the pad and fixing the jumpiness?

dldnh (eeepc-jadbury) wrote :

yeah, the proto=imps "fix" isn't really suitable, as it doesn't allow the trackpad to work as a real trackpad.

Brandon Thomson (gravix) wrote :

How can we switch back to the driver in 8.10? Is it available for download? This new driver is very bad.

Bob bader (bader-mac) wrote :

I also have the same issue I want to fix the jumpiness AND also turn off the touchpad click. Has a solution been found. I have an asus 900a.

Bob bader (bader-mac) wrote :

anyone have a solution?

Does anyone out there have an ASUS 900a running a Linux Distro besides Xandros and have control over the touchpad so you can turn off the tap to click?

Thanks

Bob

Bryce Harrington (bryce) on 2009-09-02
tags: added: jaunty
Jim (poppa00) wrote :

I have the same problem with the trackpad(I used to call these "scratch and sniff"). I turned off the tap to click, and it's still messed up. Mine is a asus 701 but I think the problem may be a little more insidious, or I found another problem. The screen size setting code doesn't work properly. It also affects the items on the right of the bar across the top of the display. Stuff on the left seems to be ok. When I invoke it, I get some screen blinking and gyrations before it settles down. I can't kill the application with the red X, change display size, or even find the "apply" button.

Jim

robled (robled) wrote :

Problem still exists in 9.10. Jumpy touchpad and no multi-touch support after a fresh install. I'm using this line in /etc/modprobe.d/options to fix:

options psmouse proto=exps

jcolton (jimcolt) wrote :

I hope my comment here is on topic for you...I found this guy's fix and it worked for me. I don't know detail about the module and its options:

Wesley Wilson wrote on 2009-04-27: #9
Manual Fix: Right now I'm about 20 minutes in with this new fix and it seems to have corrected the problem.

In /etc/modprobe.d/options.conf add the line "options psmouse proto=imps"
Restart

I personally did not have the options.conf so I just created it and added the quoted line above as the only thing in the file and its working great now

Gursimran singh (simar) wrote :

Hi bug reporter,

Thanks for reporting the bug and making ubuntu a better place. We require some additional information on your part to triage this bug. Generally in this category, we have two types of bugs where the cursor behaves erratically while using it, or where the cursor jumps away when we place two fingers and lifts one of them. Please specify yours.

Gursimran singh (simar) wrote :

This is a reminder to the bug reporter to please respond, so that we can triage the bug..

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Incomplete
importance: Undecided → Low
Damon Timm (damontimm) wrote :

I am not the original reporter but I did suffer this problem with Jaunty -- however, that was over a year ago. I am now using Lucid and have not experienced this problem anymore.

Gursimran singh (simar) wrote :

Ok fine then I'm assuming that the issue is not a live bug anymore and is fixed for all affected persons of the bug. I'm closing this bug, if anyone rediscovers this issue or the bug is not fixed for some, you are encouraged to reopen the bug by setting the status to New again.

Thanks all

Gursimran singh (simar) wrote :

The bug seems to be fixed in the later releases of ubuntu.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Incomplete → Invalid
Conrad Firm (confirm) wrote :

hello I previously had this bug on Jaunty - ASUS eeePC 701SD.

Cannot remember how I fixed it but I *think* I did it by adding a line sbout SMHConfig to my xorg.conf (it was a long time ago)

I have just installed Maverick on same 701 - and the bug is still there!

the above options.conf fix seems to be working, so far - will update if that changes...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers